<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@412629=3C</action>
      <action>maincpu.pb@412628=09</action>
    </script>
  </cheat>

  <cheat desc="Finish this Game Now!">
    <script state="on">
      <action>maincpu.pb@412629=00</action>
      <action>maincpu.pb@412628=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="CPU Next Foul = Red Card LEFT TEAM"> <comment>Use when CPU plays with Left Team, works up to 3 times per match.</comment>
    <script state="run">
      <action>maincpu.pb@41269A=02</action>
    </script>
  </cheat>

  <cheat desc="Score always 0 LEFT TEAM">
    <script state="run">
      <action>maincpu.pb@410E71=00</action>
    </script>
  </cheat>

  <cheat desc="Score always 19 LEFT TEAM">
    <script state="run">
      <action>maincpu.pb@410E71=13</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! LEFT TEAM">
    <script state="on">
      <action>maincpu.pb@410E71=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 19 Now! LEFT TEAM">
    <script state="on">
      <action>maincpu.pb@410E71=13</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! LEFT TEAM">
    <parameter min="0" max="19" step="1"/>
    <script state="change">
      <action>maincpu.pb@410E71=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="CPU Next Foul = Red Card RIGHT TEAM"> <comment>Use when CPU plays with Right Team, works up to 3 times per match.</comment>
    <script state="run">
      <action>maincpu.pb@41269B=02</action>
    </script>
  </cheat>

  <cheat desc="Score always = 0 RIGHT TEAM">
    <script state="run">
      <action>maincpu.pb@410E79=00</action>
    </script>
  </cheat>

  <cheat desc="Score always = 19 RIGHT TEAM">
    <script state="run">
      <action>maincpu.pb@410E79=13</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! RIGHT TEAM">
    <script state="on">
      <action>maincpu.pb@410E79=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 19 Now! RIGHT TEAM">
    <script state="on">
      <action>maincpu.pb@410E79=13</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! RIGHT TEAM">
    <parameter min="0" max="19" step="1"/>
    <script state="change">
      <action>maincpu.pb@410E79=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Credits PL1">
    <script state="run">
      <action>maincpu.pb@40E77B=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Units PL1">
    <script state="run">
      <action>maincpu.pb@410EA5=63</action>
    </script>
  </cheat>

  <cheat desc="No Fouls PL1">
    <script state="run">
      <action>maincpu.pb@410E8D=00</action>
    </script>
  </cheat>

  <cheat desc="Select Special Shoot PL1">
    <parameter>
      <item value="0xFF">None</item>
      <item value="0x00">Super Dash</item>
      <item value="0x01">Super Sliding</item>
      <item value="0x02">Over Run</item>
      <item value="0x03">Super Guard</item>
      <item value="0x04">Banana Shoot</item>
      <item value="0x05">Super Shoot</item>
      <item value="0x06">Hyper Shoot</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@410EA1=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Credits PL2">
    <script state="run">
      <action>maincpu.pb@40E77D=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Units PL2">
    <script state="run">
      <action>maincpu.pb@410EDD=63</action>
    </script>
  </cheat>

  <cheat desc="No Fouls PL2">
    <script state="run">
      <action>maincpu.pb@410EC5=00</action>
    </script>
  </cheat>

  <cheat desc="Select Special Shoot PL2">
    <parameter>
      <item value="0xFF">None</item>
      <item value="0x00">Super Dash</item>
      <item value="0x01">Super Sliding</item>
      <item value="0x02">Over Run</item>
      <item value="0x03">Super Guard</item>
      <item value="0x04">Banana Shoot</item>
      <item value="0x05">Super Shoot</item>
      <item value="0x06">Hyper Shoot</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@410ED9=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Credits PL3">
    <script state="run">
      <action>maincpu.pb@40E77F=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Units PL3">
    <script state="run">
      <action>maincpu.pb@410F15=63</action>
    </script>
  </cheat>

  <cheat desc="No Fouls PL3">
    <script state="run">
      <action>maincpu.pb@410EFD=00</action>
    </script>
  </cheat>

  <cheat desc="Select Special Shoot PL3">
    <parameter>
      <item value="0xFF">None</item>
      <item value="0x00">Super Dash</item>
      <item value="0x01">Super Sliding</item>
      <item value="0x02">Over Run</item>
      <item value="0x03">Super Guard</item>
      <item value="0x04">Banana Shoot</item>
      <item value="0x05">Super Shoot</item>
      <item value="0x06">Hyper Shoot</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@410F11=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Credits PL4">
    <script state="run">
      <action>maincpu.pb@40E781=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Units PL4">
    <script state="run">
      <action>maincpu.pb@410F4D=63</action>
    </script>
  </cheat>

  <cheat desc="No Fouls PL4">
    <script state="run">
      <action>maincpu.pb@410F35=00</action>
    </script>
  </cheat>

  <cheat desc="Select Special Shoot PL4">
    <parameter>
      <item value="0xFF">None</item>
      <item value="0x00">Super Dash</item>
      <item value="0x01">Super Sliding</item>
      <item value="0x02">Over Run</item>
      <item value="0x03">Super Guard</item>
      <item value="0x04">Banana Shoot</item>
      <item value="0x05">Super Shoot</item>
      <item value="0x06">Hyper Shoot</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@410F49=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>After you enable this cheat to see any effect you will have to reset the game (F3). Then you may have to turn the Test Mode ON (F2), wait for Test Mode to appear and reset again(F3).</comment>
    <parameter>
      <item value="0x01">Japan</item>
      <item value="0x02">US</item>
      <item value="0x03">World</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.mb@07FFFF</action>
    </script>
    <script state="run">
      <action>maincpu.mb@07FFFF=param</action>
    </script>
    <script state="off">
      <action>maincpu.mb@07FFFF=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
